unit abc2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    MainMenu1: TMainMenu;
    N3: TMenuItem;
    Calc1: TMenuItem;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    procedure Calc1Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  a, b, c: real;

implementation

{$R *.DFM}

procedure TForm1.New1Click(Sender: TObject);
begin
 Memo1.Clear;
end;

procedure TForm1.Open1Click(Sender: TObject);
var
  fname,s: string;
  inFile: TextFile;
begin
  if OpenDialog1.Execute then
  begin
    fname:=OpenDialog1.FileName;
    AssignFile(inFile,fname);
    reset(inFile);
  end
  else exit;
  readln(infile,a,b,c);
  CloseFile(infile);
  str(a:7:2,s);Memo1.Lines.Add(' a='+s);
  str(b:7:2,s);Memo1.Lines.Add(' b='+s);
  str(c:7:2,s);Memo1.Lines.Add(' c='+s);
end;

procedure TForm1.Save1Click(Sender: TObject);
var
  fname: string;
  OutFile: TextFile;
begin
  if SaveDialog1.Execute then
  begin
    fname:=SaveDialog1.FileName;
    AssignFile(OutFile,fname);
    rewrite(OutFile);
    {  Memo   }
    Writeln(OutFile,Memo1.Text);
  end;
  CloseFile(OutFile);
  Form1.Caption:=Form1.Caption+'['+fname+']';
end;

procedure TForm1.Calc1Click(Sender: TObject);
var
  d: real;{}
  x1, x2 : real;{ }
  s: string;
begin
  d:=b*b-4*a*c;
  if (a=0)or(d<0) then {   }
     Memo1.Lines.Add(' ')
  else
     begin {  }
       x1:=(-b+ sqrt(d))/(2*a);
       x2:=(-b- sqrt(d))/(2*a);
       { }
       Memo1.Lines.Add(' ');
       str(x1:7:2,s);  Memo1.Lines.Add('x1='+s);
       str(x2:7:2,s);  Memo1.Lines.Add('x2='+s);
     end;
end;

end.
